PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package turret
  Definition Classes
    serverobject
- FacilityTurret
- FacilityTurretControl
- FacilityTurretDefinition
- TurretAmmoBox
- TurretDefinition
- TurretUpgrade
- TurretWeapon
- WeaponTurret
- WeaponTurrets

c

net.psforever.objects.serverobject.turret

# TurretAmmoBox

###

#### class TurretAmmoBox extends AmmoBox

A special type of ammunition box contained within a `MannedTurret` for the purposes of infinite reloads. The original quantity of ammunition does not change.

Source
  WeaponTurret.scala

Linear Supertypes
AmmoBox, Equipment, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TurretAmmoBox
2. AmmoBox
3. Equipment
4. FactionAffinity
5. PlanetSideGameObject
6. WorldEntity
7. IdentifiableEntity
8. Identifiable
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TurretAmmoBox(adef: AmmoBoxDefinition)

   adef

     ammunition definition

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AmmoType: equipment.Ammo.Value
   Definition Classes
     AmmoBox
5.  def Capacity: Int
   Definition Classes
     AmmoBox
6.  def Capacity_=(toCapacity: Int): Int
   Definition Classes
     TurretAmmoBox → AmmoBox
7.  def Definition: AmmoBoxDefinition
   Definition Classes
     AmmoBox → Equipment → PlanetSideGameObject
8.  def Destroyed: Boolean
   Definition Classes
     PlanetSideGameObject
9.  def Destroyed_=(state: Boolean): Boolean
   Definition Classes
     PlanetSideGameObject
10.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
11.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
12.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Equipment → FactionAffinity
13.  def Faction_=(fact: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      AmmoBox → Equipment → FactionAffinity
14.  def FullCapacity: Int
    Definition Classes
      AmmoBox
15.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
16.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
17.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

18.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
19.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
20.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
21.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
22.  def Position: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
23.  def Position_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
24.  def Size: equipment.EquipmentSize.Value
    Definition Classes
      Equipment
25.  def Tile: InventoryTile
    Definition Classes
      TurretAmmoBox → Equipment
26.  def Velocity: Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
27.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
    Definition Classes
      PlanetSideGameObject → WorldEntity
28.  def Velocity_=(vec: Vector3): Option[Vector3]
    Definition Classes
      WorldEntity
29.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
30.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
31.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
33.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
34.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
35.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
36.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
37.  def isMoving(test: Float): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the (squared) velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
38.  def isMoving(test: Vector3): Boolean

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    This object is not considered moving unless it is moving at least as fast as a certain velocity.

    test

      the velocity to test against

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
39.  def isMoving: Boolean

    A velocity of non-zero is the same as moving.

    A velocity of non-zero is the same as moving.

    returns

      `true`, if we are moving; `false`, otherwise

    Definition Classes
      WorldEntity
40.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
41.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
42.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
43.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
44.  def toString(): String
    Definition Classes
      AmmoBox → Equipment → AnyRef → Any
45.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
46.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
47.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AmmoBox

### Inherited from Equipment

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped